<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="shortcut icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="theme-color" content="#000000" />
    <!--
      manifest.json provides metadata used when your web app is added to the
      homescreen on Android. See https://developers.google.com/web/fundamentals/web-app-manifest/
    -->
    <link rel="manifest" href="%PUBLIC_URL%/manifest.json" />
    <!--
      Notice the use of %PUBLIC_URL% in the tags above.
      It will be replaced with the URL of the `public` folder during the build.
      Only files inside the `public` folder can be referenced from the HTML.

      Unlike "/favicon.ico" or "favicon.ico", "%PUBLIC_URL%/favicon.ico" will
      work correctly both with client-side routing and a non-root public URL.
      Learn how to configure a non-root public URL by running `npm run build`.
    -->
    <title>Statistikaameti juhtimislauad</title>
  </head>
  <body>
    <noscript>
      You need to enable JavaScript to run this app.
    </noscript>
    <div id="root"></div>

    <script>
      (function() {
        function detectBrowser() {
          var ua = window.navigator.userAgent;
          var msie = ua.indexOf('MSIE ');

          if (msie > 0) {
            // IE 10 or older => return version number
            window.ieVersion = parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
          }

          var trident = ua.indexOf('Trident/');
          if (msie < 0 && trident > 0) {
            // IE 11 => return version number
            var rv = ua.indexOf('rv:');
            window.ieVersion = parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
          }

          var edge = ua.indexOf('Edge/');
          if (edge > 0) {
            // Edge (IE 12+) => return version number
            window.edgeVersion = parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
          }

          var safari = ua.indexOf('Safari/');
          var chrome = ua.indexOf('Chrome/');

          if (safari > 0 && chrome < 0) {
            // Safari => return version number
            var version = ua.indexOf('Version/');
            if (version > 0) {
              window.safariVersion = parseInt(ua.substring(version + 8, ua.indexOf('.', version)), 10);
            } else window.safariVersion = parseInt(ua.substring(safari + 7, ua.indexOf('.', safari)), 10);
          }

          // other browser
          return false;
        }

        detectBrowser();
      })();

      (function() {
        if (
          (window.edgeVersion && typeof window.edgeVersion === 'number' && window.edgeVersion < 15) ||
          (window.ieVersion && typeof window.ieVersion === 'number' && window.ieVersion < 11) ||
          (window.safariVersion && typeof window.safariVersion === 'number' && window.safariVersion < 10)
        ) {
          setTimeout(function() {
            var root = document.getElementById('root');
            root.innerHTML =
              '<div style="padding: 1rem;"><p>Teie veebibrauserit ei toetata. Sisu vaatamiseks kasutage kõige uuemat versiooni Chrome, Firefox, Safari, Edge või Internet Explorer brauserist.</p>' +
              '<p>Your browser is not supported. To view this content, please use the latest version of Chrome, Firefox, Safari, Edge or Internet Explorer browser.</p></div>';
          }, 3000);
        } else return;
      })();
    </script>
    <!--
      This HTML file is a template.
      If you open it directly in the browser, you will see an empty page.

      You can add webfonts, meta tags, or analytics to this file.
      The build step will place the bundled scripts into the <body> tag.

      To begin the development, run `npm start` or `yarn start`.
      To create a production bundle, use `npm run build` or `yarn build`.
    -->
    <script src="/logos/load.js" defer></script>
  </body>
</html>
